@ECHO OFF
ECHO.
ECHO.
ECHO Welcome to the DogWorld Install Program!
ECHO.
ECHO This process will back up your existing "main" data files
ECHO to preserve any changes you may have made.
ECHO If you have changed any of the external "text" files, such
ECHO as "DOGDREAM.DAT" or "RUNDOG.DAT", and you want to preserve
ECHO these changes, you should quit now by pressing CTL-C. Backup
ECHO those files, unpack your new version of DogWorld, and copy
ECHO your "saved" text .DAT files back into the DogWorld directory.
ECHO.
ECHO     [ENTER] - Continue         [CTL-C] - Abort
ECHO.
pause > NUL
ECHO Backing up main data files.....
ECHO.
IF EXIST DOGDAT.DAT REN DOGDAT.DAT DOGDAT.!!!
IF EXIST DOG1.CFG REN DOG1.CFG DOG1.!!!
IF EXIST ENEMY.DAT REN ENEMY.DAT ENEMY.!!!
IF EXIST ARMOR.DAT REN ARMOR.DAT ARMOR.!!!
IF EXIST WEAPON.DAT REN WEAPON.DAT WEAPON.!!!
IF EXIST 3RDPARTY.MNU REN 3RDPARTY.MNU 3RDPARTY.!!!
IF EXIST START.DAT REN START.DAT START.!!!
IF EXIST ROMANCE.DAT REN ROMANCE.DAT ROMANCE.!!!

ECHO Unpacking DogWorld version 1.53....
ECHO.

PKUNZIP -o DGWRL154.RES

ECHO Restoring data file backups....

IF EXIST DOGDAT.!!! DEL DOGDAT.DAT
IF EXIST DOG1.!!! DEL DOG1.CFG
IF EXIST ENEMY.!!! DEL ENEMY.DAT
IF EXIST ARMOR.!!! DEL ARMOR.DAT
IF EXIST WEAPON.!!! DEL WEAPON.DAT
IF EXIST 3RDPARTY.!!! DEL 3RDPARTY.MNU
IF EXIST START.!!! DEL START.DAT
IF EXIST ROMANCE.!!! DEL ROMANCE.DAT

IF EXIST DOGDAT.!!! REN DOGDAT.!!! DOGDAT.DAT
IF EXIST DOG1.!!! REN DOG1.!!! DOG1.CFG
IF EXIST ENEMY.!!! REN ENEMY.!!! ENEMY.DAT
IF EXIST ARMOR.!!! REN ARMOR.!!! ARMOR.DAT
IF EXIST WEAPON.!!! REN WEAPON.!!! WEAPON.DAT
IF EXIST 3RDPARTY.!!! REN 3RDPARTY.!!! 3RDPARTY.MNU
IF EXIST START.!!! REN START.!!! START.DAT
IF EXIST ROMANCE.!!! REN ROMANCE.!!! ROMANCE.DAT

ECHO.
ECHO The install process is now complete.
ECHO If this is a new installation, you should now run the
ECHO DogEdit program and configure DogWorld for your system.
ECHO Edit the included batch file, DOG.BAT, and setup your
ECHO BBS to run this file. To run DogWorld in local mode,
ECHO simply type "DOG" at the dos prompt. Have fun!
ECHO.
ECHO         Ken Cothran - DogWorld Author!
ECHO.
ECHO.
